import request from '@/utils/request'

// 查询数据调查-附属设施列表
export function listFsss(query) {
  return request({
    url: '/home/homesteadfsss/list',
    method: 'get',
    params: query
  })
}

// 导出数据调查-附属设施
export function exportFsss(query) {
  return request({
    url: '/houseSurvey/fsss/export',
    method: 'get',
    params: query
  })
}

// 查询数据调查-附属设施详细
export function getFsss(id) {
  return request({
    url: '/home/homesteadfsss/get/' + id,
    method: 'get'
  })
}

// 新增数据调查-附属设施
export function addFsss(data) {
  return request({
    url: '/home/homesteadfsss/add',
    method: 'post',
    data: data
  })
}

// 修改数据调查-附属设施
export function updateFsss(data) {
  return request({
    url: '/home/homesteadfsss/edit',
    method: 'post',
    data: data
  })
}

// 删除数据调查-附属设施
export function delFsss(id) {
  return request({
    url: '/home/homesteadfsss/remove/' + id,
    method: 'get'
  })
}

// 通过宅基地编码获取附属设施
export function getFsssZjdDmList(zjddm) {
  return request({
    url: '/houseSurvey/fsss/getFsssZjdDm/' + zjddm,
    method: 'get'
  })
}

// 修改数据调查-附属设施
export function updateFsssStatus(data) {
  return request({
    url: '/houseSurvey/fsss/updateFsssStatus',
    method: 'post',
    data: data
  })
}
